OLT ONT Port
4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| editOntEthPort | POST | Modify an existing ont eth port |
| getOntEthPortList | GET | Get ont eth port list |
| editOntPotsPort | POST | Modify an existing ont pots port |
| getOntPotsPortList | GET | Get ont pots port list |
editOntEthPort
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/{serviceId}/eth-ports/edit
Modify an existing ont eth port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
serviceId | path | string | yes | Service Profile ID should be a number between 0-512 |
Request body — application/json (required) — schema OntEthPortModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
serviceId | integer | no | The associated Service Profile ID |
portId | integer | yes | Port ID |
vlanConfig | OntEthPortVlanConfigModifyDTO | no | (OntEthPortVlanConfigModifyDTO not expanded; call omada_get_schema "OntEthPortVlanConfigModifyDTO") |
priorityPolicy | string | no | Priority policy should be a value as follows:UNCONCERN,ASSIGNED,COPY_COS |
igmpForward | OntEthPortIGMPForwardDTO | no | (OntEthPortIGMPForwardDTO not expanded; call omada_get_schema "OntEthPortIGMPForwardDTO") |
maxMacCount | integer | no | MaxMacCount should be within the range of 0 to 255 |
qinQ | string | no | QinQ mode,qinQ should be a value as follows:UNCONCERN,DISABLE,ENABLE |
tlsVlan | string | no | Tls vlan |
// omada_call_operation
{
"operationId": "editOntEthPort",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"serviceId": "<serviceId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing ont eth port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getOntEthPortList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/{serviceId}/eth-ports/list
Get ont eth port list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
serviceId | path | string | yes | Service Profile ID should be a number between 0-512 |
queryParam | query | OntEthPortListQueryDTO | no | Object: its fields (searchKey, sorts, serviceId) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getOntEthPortList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"serviceId": "<serviceId>"
}
}Details, permissions and error codes
Get ont eth port list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editOntPotsPort
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/{serviceId}/pots-ports/edit
Modify an existing ont pots port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
serviceId | path | string | yes | Service Profile ID should be a number between 0-512 |
Request body — application/json (required) — schema OntPotsPortModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
serviceId | integer | no | The associated Service Profile ID |
vlanConfigMode | string | yes | Vlan config mode.VlanConfigMode should be a value as follows:TRANSPARENT,OTHERS |
configItemAddList | array<OntPortVlanConfigAddItemDTO> | no | Config item add list |
configItemDeleteList | array<integer> | no | Config item delete list |
configItemEditList | array<OntPortVlanConfigItemDTO> | no | Config item edit list |
// omada_call_operation
{
"operationId": "editOntPotsPort",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"serviceId": "<serviceId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing ont pots port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getOntPotsPortList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/{serviceId}/pots-ports/list
Get ont pots port list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
serviceId | path | string | yes | Service Profile ID should be a number between 0-512 |
queryParam | query | OntPotsPortListQueryDTO | no | Object: its fields (searchKey, sorts, serviceId) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getOntPotsPortList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"serviceId": "<serviceId>"
}
}Details, permissions and error codes
Get ont pots port list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.